org.kie.internal.task.query

## Interface TaskVariableQueryBuilder

- All Superinterfaces:
    ExtendedParametrizedQueryBuilder<TaskVariableQueryBuilder,TaskVariable>, ParametrizedQueryBuilder<TaskVariableQueryBuilder>, ProcessIdQueryBuilder<TaskVariableQueryBuilder,TaskVariable>, ProcessInstanceIdQueryBuilder<TaskVariableQueryBuilder,TaskVariable>

      public interface TaskVariableQueryBuilder
      extends ProcessIdQueryBuilder<TaskVariableQueryBuilder,TaskVariable>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TaskVariableQueryBuilder.OrderBy`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskVariableQueryBuilder` | `ascending(TaskVariableQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in ascending order.
    `TaskVariableQueryBuilder` | `descending(TaskVariableQueryBuilder.OrderBy field)` Specify which field to use when ordering the results, in descending order.
    `TaskVariableQueryBuilder` | `id(long... id)` Specify one or more task event ids to use as a criteria
    `TaskVariableQueryBuilder` | `modificationDate(Date... logTime)` Specify one or more dates to use as a criteria for the modification date of the task variable
    `TaskVariableQueryBuilder` | `modificationDateRange(Date modDateMin, Date modDateMax)` Specify an inclusive range of modification dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskVariableQueryBuilder` | `name(String... name)` Add one or more (task variable) names as a criteria to the query
    `TaskVariableQueryBuilder` | `processId(String... processId)` Specify one or more process (definition) id's as criteria in the query
    `TaskVariableQueryBuilder` | `taskId(long... taskId)` Specify one or more task instance ids to use as a criteria.
    `TaskVariableQueryBuilder` | `taskIdRange(Long taskIdMin, Long taskIdMax)` Specify an inclusive range of task ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
    `TaskVariableQueryBuilder` | `type(TaskVariable.VariableType... type)` Add one or more (task variable) types as a criteria to the query
    `TaskVariableQueryBuilder` | `value(String... value)` Add one or more (task variable) values as a criteria to the query

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### id

          TaskVariableQueryBuilder id(long... id)

      Specify one or more task event ids to use as a criteria
      Parameters:
        `id` - one or more task event entity ids
      Returns:
        The current query builder instance

    - #### taskId

          TaskVariableQueryBuilder taskId(long... taskId)

      Specify one or more task instance ids to use as a criteria.
      Parameters:
        `taskId` - one or more task ids
      Returns:
        The current query builder instance

    - #### taskIdRange

          TaskVariableQueryBuilder taskIdRange(Long taskIdMin,
                                               Long taskIdMax)

      Specify an inclusive range of task ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `taskIdMin` - the minimal (lower) taskId to use in the range
        `taskIdMax` - the max (upper) taskId to use in the range
      Returns:
        The current query builder instance

    - #### processId

          TaskVariableQueryBuilder processId(String... processId)

      Specify one or more process (definition) id's as criteria in the query
      Specified by:
        `processId` in interface `ProcessIdQueryBuilder<TaskVariableQueryBuilder,TaskVariable>`
      Parameters:
        `processId` - one or more process ids
      Returns:
        The current query builder instance

    - #### name

          TaskVariableQueryBuilder name(String... name)

      Add one or more (task variable) names as a criteria to the query
      Parameters:
        `name` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### value

          TaskVariableQueryBuilder value(String... value)

      Add one or more (task variable) values as a criteria to the query
      Parameters:
        `value` - one or more strings
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### type

          TaskVariableQueryBuilder type(TaskVariable.VariableType... type)

      Add one or more (task variable) types as a criteria to the query
      Parameters:
        `type` - one or more `TaskVariable.VariableType` values
      Returns:
        the current `TaskSummaryQueryBuilder` instance

    - #### modificationDate

          TaskVariableQueryBuilder modificationDate(Date... logTime)

      Specify one or more dates to use as a criteria for the modification date of the task variable
      Parameters:
        `logTime` - one or more dates
      Returns:
        The current query builder instance

    - #### modificationDateRange

          TaskVariableQueryBuilder modificationDateRange(Date modDateMin,
                                                         Date modDateMax)

      Specify an inclusive range of modification dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `modDateMin` - the minimal (lower) date to use in the range
        `modDateMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### ascending

          TaskVariableQueryBuilder ascending(TaskVariableQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          TaskVariableQueryBuilder descending(TaskVariableQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.